package org.apache.bcel.classfile;

import java.io.DataInput;
import java.io.DataOutputStream;
import java.io.IOException;

public class RuntimeInvisibleAnnotations extends Annotations {
   public RuntimeInvisibleAnnotations(int nameIndex, int length, DataInput input, ConstantPool constantPool) throws IOException {
      super((byte)13, nameIndex, length, (DataInput)input, constantPool, false);
   }

   public Attribute copy(ConstantPool constantPool) {
      return (Attribute)this.clone();
   }

   public final void dump(DataOutputStream dos) throws IOException {
      super.dump(dos);
      this.writeAnnotations(dos);
   }
}
